/*
Copyright 2002-2004 Steve Jolly

This file is part of MiniMe

MiniMe is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; specifically version 2 of the License.

MiniMe is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MiniMe; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import org.jibble.pircbot.*;

public class MiniMeMain {
    public static String ServerName = new String("server.domain.com");
    public static int ServerPort = 6667;
    public static String ServerPassword = new String("foobar");
    public static String BotName = new String("minime");

	public static void main(String[] args) throws Exception {
		
		//start the bot up
		MiniMe bot = new MiniMe(ServerName, ServerPort, ServerPassword, BotName);
		
		// Enable debugging output.
		bot.setVerbose(true);
		
		// Connect to the IRC server.
		bot.connect(ServerName, ServerPort, ServerPassword);
		
		// Join a channel.
		bot.joinChannels();
	}
	
}
